Subject: bug#2377: 23.0.90; Cocoa Emacs crashes when loading zenburn color-theme

From: Matt Moriarity <[email-masked]>
Date: Wed, 18 Feb 2009 20:54:33 -0500

I'm using the emacs-starter-kit and trying to load the included
zenburn color-theme. When I execute M-x zenburn after loading emacs
normally, it crashes, saying Fatal error. If I start emacs with the
command "emacs -q -l ~/.emacs.d/init.el", then these same actions
successfully apply the color-theme. However, if I do "emacs -Q -l
~/.emacs.d/init.el", the crash occurs again.

In GNU Emacs 23.0.90.1 (i386-apple-darwin9.6.0, NS apple-appkit-949.43)
 of 2009-02-18 on 64-71-7-199.static.wiline.com
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--with-ns''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: rcirc

Minor modes in effect:
  shell-dirtrack-mode: t
  rcirc-track-minor-mode: t
  show-paren-mode: t
  recentf-mode: t
  mouse-wheel-mode: t
  use-hard-newlines: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<backspace> <backspace> <backspace> <backspace> u n
d e r SPC ~ / . e m a c s . d <return> ? <return> <help-echo>
<down-mouse-1> <mouse-1> <help-echo> c o n <tab> w
e l l , SPC i ' m m <backspace> SPC <backspace> SPC
<backspace> <backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> <backspace>
C-a C-k w h a t SPC i f SPC i ' m SPC u s i n g SPC
c o c o a SPC e m a c s SPC o r SPC s o m e t h i n
g , SPC C-a C-k o h <return> t h e r e SPC g o e s
SPC m y SPC q u e s t i o n <return> g g o <tab> C-a
C-k g g o <tab> w o a h . SPC i t SPC c a r <backspace>
<backspace> r a s h e s SPC w i t h SPC - Q SPC b u
t SPC n o t SPC w i t h SPC - q <return> g g o <tab>
s a y s SPC F a t a l SPC e r r o r <return> b t w
, SPC d o e s SPC i t SPC m a k e SPC a SPC d i f f
e r e n c e SPC i t <backspace> f SPC i t ' s SPC c
o c o a SPC e m a c s SPC ? SPC c u z SPC i t SPC i
s <return> f s m <tab> s t r a c i a SPC <backspace>
t e l l a ? <return> <S-left> M-x r e p <tab> o r <tab>
<return>

Recent messages:
Connecting to irc.freenode.net...done
Loading tramp...done
Quit
Loading /Users/matt/.emacs.d/loaddefs.el (source)...done
Updating autoloads...
Warning: defvar ignored because generated-autoload-file is let-bound
Saving file /Users/matt/.emacs.d/loaddefs.el...
Wrote /Users/matt/.emacs.d/loaddefs.el
Loading /Users/matt/.emacs.d/loaddefs.el (source)...done
Making completion list...